List LUNs in NetApp Console local deployment
GET /organizations/{organization_id}/fleets/{fleet_id}/luns
Lists all LUNs in the specified fleet.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organization_id |
string |
path |
True |
Identifier for an organization. |
fleet_id |
string |
path |
True |
Identifier for a fleet. |
count |
string |
query |
False |
Indicates if the total number of resources should be returned in the response object. URL examples: "count=true" OpenAPI examples: "true" |
filter |
string |
query |
False |
Specifies which fields should be matched in order to return a resource when listing a collection. Supported operators:
URL example: "filter=field%20eq%20%27value%27" OpenAPI examples: "field eq 'value'" |
include |
string |
query |
False |
Specifies which fields should be returned when listing a collection. URL examples: "include=id", "include=id,name" OpenAPI examples: "id" |
limit |
string |
query |
False |
Specifies the maximum number of resources to return when listing a collection. URL examples: "limit=2" OpenAPI examples: "2" |
metadata |
string |
query |
False |
Indicates if the metadata should be returned in the response object. URL examples: "metadata=true" OpenAPI examples: "true" |
orderBy |
string |
query |
False |
Indicates the sort order of resources when listing a collection. URL examples: "orderBy=name", "orderBy=name%20desc" OpenAPI examples: "name desc" |
skip |
string |
query |
False |
Specifies the number of resources to skip when listing a collection. URL examples: "skip=1" OpenAPI examples: "1" |
Response
Status: 200, OK
| Name | Type | Required | Description |
|---|---|---|---|
count |
integer |
False |
Total number of resources in the collection that match the query. |
items |
array[lun_1.0_get_response_body] |
True |
LUNs in the collection. |
Example response
{
"count": 2,
"items": [
{
"aggregate": {
"id": "9f3e2d1c-8b7a-4e5f-9c8d-7b6a5f4e3d2c",
"name": "aggr1"
},
"cluster": {
"id": "2c5f8a9b-4e7d-4c1a-b8f3-6e9d2a5c8f1b",
"name": "cluster-01"
},
"clusterPersonality": "UNIFIED_ONTAP",
"fleetIds": [
"1a2b3c4d-5678-90ab-cdef-1234567890ab",
"2b3c4d5e-6789-0abc-def1-234567890abc"
],
"id": "f8e9d2b4-1a5c-4f7e-9d3b-8c6a5e2f1b9d",
"mapped": "MAPPED",
"metadata": {
"modificationTimestamp": "2026-01-16T14:32:48.789123Z"
},
"metrics": {
"iops": {
"total": 345.2
},
"latency": {
"average": 89.34
},
"throughput": {
"total": 87593.6
}
},
"name": "lun-01",
"node": {
"id": "7d9e2f4c-5b8a-4e1d-9c3f-8a6b4d2e7f9c",
"name": "node-01"
},
"organizationId": "3b8f9e2a-7c4d-4e8f-a1b2-9d6e7f8a9b0c",
"qosPolicy": {
"name": "policy-01"
},
"qtree": {
"name": "qtree-01"
},
"space": {
"available": 824633720832,
"size": 1374389534720,
"used": 549755813888
},
"state": "ONLINE",
"svm": {
"id": "4a7b9e2c-8f5d-4c3a-b1e6-9d2f4c7a8e5b",
"name": "svm-01"
},
"type": "application/vnd.netapp.bxp.lun",
"version": "1.0",
"volume": {
"id": "8e2f9d4c-6a5b-4f8e-a2d7-5c9e4f2a7b8d",
"name": "volume-01"
},
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
},
{
"aggregate": {
"id": "5e7a2d8f-9c4b-4f1e-a6d3-8b2e5f7a9c4d",
"name": "aggr2"
},
"cluster": {
"id": "2c5f8a9b-4e7d-4c1a-b8f3-6e9d2a5c8f1b",
"name": "cluster-01"
},
"clusterPersonality": "UNIFIED_ONTAP",
"fleetIds": [
"1a2b3c4d-5678-90ab-cdef-1234567890ab"
],
"id": "6b8e1f9a-3c7d-4a2e-8f5b-1d4c7e9a6b2f",
"mapped": "UNMAPPED",
"metadata": {
"modificationTimestamp": "2026-01-16T14:35:22.456789Z"
},
"metrics": {
"iops": {
"total": 189.7
},
"latency": {
"average": 203.68
},
"throughput": {
"total": 45821.9
}
},
"name": "lun-02",
"node": {
"id": "1f4e9a2c-8d5b-4c7f-a3e6-7b9d1f4e8a2c",
"name": "node-02"
},
"organizationId": "3b8f9e2a-7c4d-4e8f-a1b2-9d6e7f8a9b0c",
"qosPolicy": {
"name": "policy-02"
},
"qtree": {
"name": "qtree-02"
},
"space": {
"available": 395136991232,
"size": 859832668160,
"used": 464695676928
},
"state": "OFFLINE",
"storageClassId": "7a1b3c2d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"svm": {
"id": "9c2e5f7a-4b8d-4f1c-a7e3-6d9f2c5e8a1b",
"name": "svm-02"
},
"type": "application/vnd.netapp.bxp.lun",
"version": "1.0",
"volume": {
"id": "3a6d9f2c-5e8b-4f4a-c7d1-8e5a3d6f9c2e",
"name": "volume-02"
},
"workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
}
]
}
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Definitions
See Definitions
aggregate_1.0_reference
Reference to an ONTAP aggregate.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the aggregate. |
name |
string |
False |
Aggregate name. |
cluster_1.0_reference
Reference to an ONTAP cluster.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the cluster. |
name |
string |
False |
Cluster name. |
common_1.0_inventory_metadata
Metadata associated with the resource.
| Name | Type | Required | Description |
|---|---|---|---|
modificationTimestamp |
string |
False |
Resource modification date. |
iops
IOPS metrics for the LUN.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of I/O operations observed at the storage object. |
latency
Latency metrics for the LUN.
| Name | Type | Required | Description |
|---|---|---|---|
average |
number |
False |
The average round trip latency observed at the storage object in microseconds. |
throughput
Throughput metrics for the LUN.
| Name | Type | Required | Description |
|---|---|---|---|
total |
number |
False |
The rate of throughput observed at the storage object in bytes per second. |
lun_1.0_metrics
| Name | Type | Required | Description |
|---|---|---|---|
iops |
False |
IOPS metrics for the LUN. |
|
latency |
False |
Latency metrics for the LUN. |
|
throughput |
False |
Throughput metrics for the LUN. |
node_1.0_reference
Reference to an ONTAP node.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the node. |
name |
string |
False |
Node name. |
qosPolicy
QoS policy applied to the LUN.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
The name of the QoS policy group applied to the LUN. |
qtree
Qtree that contains the LUN.
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
The name of the qtree to which the LUN belongs. |
lun_1.0_space
| Name | Type | Required | Description |
|---|---|---|---|
available |
integer |
False |
The available space in bytes. |
size |
integer |
False |
The total provisioned size of the LUN. |
used |
integer |
False |
The total space consumed in the volume by the LUN, including filesystem overhead, but excluding prefix and suffix streams. |
svm_1.0_reference
Reference to an ONTAP SVM.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the SVM. |
name |
string |
False |
SVM name. |
volume_1.0_reference
Reference to an ONTAP volume.
| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
False |
Identifier of the volume. |
name |
string |
False |
Volume name. |
lun_1.0_get_response_body
| Name | Type | Required | Description |
|---|---|---|---|
aggregate |
False |
Reference to an ONTAP aggregate.
|
|
cluster |
False |
Reference to an ONTAP cluster.
|
|
clusterPersonality |
string |
False |
The personality of the ONTAP cluster that the LUN belongs to, derived from the cluster's disaggregated and SAN-optimized configuration. Defined values are:
|
fleetIds |
array[string] |
False |
List of identifiers for the fleets that the LUN belongs to. |
id |
string |
False |
Identifier of the LUN. |
mapped |
string |
False |
Indicates whether the LUN is mapped to an igroup. Defined values are:
|
metadata |
False |
Metadata associated with the resource. |
|
metrics |
False |
||
name |
string |
False |
LUN name. |
node |
False |
Reference to an ONTAP node.
|
|
organizationId |
string |
False |
Identifier for an organization. |
qosPolicy |
False |
QoS policy applied to the LUN. |
|
qtree |
False |
Qtree that contains the LUN. |
|
space |
False |
||
state |
string |
False |
The state of the LUN. Defined values are:
|
storageClassId |
string |
False |
Identifier for the storage class associated with the LUN. |
svm |
False |
Reference to an ONTAP SVM.
|
|
type |
string |
False |
Media type of the resource. Defined values are:
|
version |
string |
False |
Version of the resource. Defined values are:
|
volume |
False |
Reference to an ONTAP volume.
|
|
workingEnvironmentId |
string |
False |
Identifier for the asset's system. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |